Subject: Re: Call for Comments: Principles of Internet Host Configuration

From: Ted Hardie <[email-masked]>
Date: Mon, 6 Oct 2008 08:26:46 -0700

At 3:14 AM -0700 10/6/08, IAB Chair wrote:
>The IAB is ready to ask the RFC-Editor to publish:
>
>     Principles of Internet Host Configuration
>            draft-iab-ip-config-08.txt
>
>as an informational RFC. Before doing so the IAB wants to solicit from
>the community any last comments on this document.
>
>Abstract
>   This document describes principles of Internet host configuration.
>   It covers issues relating to configuration of Internet layer
>   parameters, as well as parameters affecting higher layer protocols.

Speaking personally, I find the treatment of mobility in the document
worryingly sparse.  I don't have a good estimate of the number of
IP-capable mobile nodes currently out in the market, but it is probably
a billion or more.  While many of those nodes exist in wall-garden
environments where details of configuration are handled by the
tender of the garden, we certainly have some nodes which do not
ever get planted in those well-mulched beds and many other which
are occasionally found in the wild.  Based on this document,
I would have to guess that those nodes are pretty much the same
as every non-mobile/non-nomadic node, with the exception of
the need to configure a mobility agent, discussed here:

Mobility agent(s)
              While Mobile IPv4 [RFC3344] and Mobile IPv6 [RFC3775]
              include their own mechanisms for locating home agents, it
              is also possible for mobile nodes to utilize dynamic home
              agent configuration.

First, does dynamic home agent configuration here refer to
RFC 4433's mechanism?

Second, is there a general set of statements that the IAB
can make on how mobile node configuration should
proceed for higher layer configuration when the Internet
layer configuration has a mobility agent and thus
a tunneled interface?  There seems to be a lot of
real complexity out in the world that is not represented here.
To take one example, how should a mobile node associate
name services with specific interfaces?  Do I assume that name
servers available locally and through a tunnel have the same
data (thus presuming split dns is not important to the node?)?
Do I assume that I can trust name servers equally (presuming,
I guess that DNSSEC is deployed and the node can use it)?

If the authors do not feel that this is the appropriate place
to handle questions related to configuration in the presence
of mobility, I would prefer a statement that made explicit.

Thanks for listening,
			regards,
				Ted Hardie

_______________________________________________
Ietf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf